/** Initialize component when component is dragged to component list (onCreateComponent must be exist in each html component file) */
try{
    function onInitComponent(oComponent){
        
        //Call common initialize component inside mainframe
        //$.loadSyncScript("./components/mainframe/init.js");

        onInitMainframeComponent(oComponent);
        
        //Set default values using Publish/Subscribe pattern
        oComponent.addParamVal("name",_D("Chart Energy")+" "+oComponent.UId);


        //Select default Gui gateway
        oComponent.setParamVal("gateway",application.getGatewaysByProtocol("gui")[0]);
        
        var aIcons = oComponent.getParamVal("icons");
        var oIcon_status_0 = new Icon();


        /** ABILITARE I COMMENTI PER AGIUNGERE ICONA
         *
         */

        //var oIcon_status_1 = new Icon();
        var oDefaultPan = application.ResoucesManager.getDefaultIconsPan();
        
        var panw=model["instance"].skin.IconsPan[0].imgWidth;
        var panh=model["instance"].skin.IconsPan[0].imgHeight;
        var iconw=model["instance"].skin.IconsPan[0].iconsWidth;
        var iconh=model["instance"].skin.IconsPan[0].iconsHeight;

		var i0=model["instance"].skin.IconsPan[0].ComponentsInfo.Chart.defaultIcons[0];
        $.extend(true, oIcon_status_0, {
            status: 0,
            position:{ x: -i0.position.x*iconw, y: -i0.position.y*iconh },
            enableColors: false,
            srcId: oDefaultPan["id"],
            size: { h: iconh, w: iconw },
            setSize: { h: panh, w: panw }

        });
        
        //Important: maintain original position
        aIcons.push(oIcon_status_0);
        //aIcons.push(oIcon_status_1);

        oComponent.addParamVal("viewmodelist",[ 
        		{id:0, label:"Classic"}
        		//,{id:1, label:"Modal"}
        		//,{id:2, label:"Only Text"}
        		//,{id:3, label:"Hidden"} 
        	]);

        // Components
        // BEGIN MUST BE ALWAYS EXIST
        console.log("Init chart");
        oComponent.addParamVal("gui/components-list",[

        ]);

        oComponent.addParamVal("gui/components", new Array() );
        // END MUST BE ALWAYS EXIST

        oComponent.addParamVal("gui/updateTime",10);

        oComponent.addParamVal("gui/color-1","#FF0000");
        oComponent.addParamVal("EVEUIStyle","onlyMap");
        oComponent.addParamVal("uiDisableCircle",true);

    }
}
catch(err){
    console.error(err);
}
