/** Initialize component when component is dragged to component list (onCreateComponent must be exist in each html component file) */
try{



    
    /** On Init Mainframe Component Function (Required)
     * Initialize common component parameters when a component is added.
     * It will be call from onInitComponent funciton declared inside component html file
     */
    function onInitMainframeComponent(oComponent){
        //console.log("%c/components/mainframe/initialization","color:pink");
        
        //Set default values
        oComponent.addParamVal("history",false);
        oComponent.addParamVal("savelastvalue",false);
        oComponent.addParamVal("cache",false);
        //VISIBILITà
        oComponent.addParamVal("uservisibility",true);
        oComponent.addParamVal("tags","");
        oComponent.addParamVal("customData","");

        //Set default icons set
        oComponent.addParamVal("icons", new Array());

        // Indica il componente a cui sono linkate le icone
        oComponent.addParamVal("iconsLinkToComponentUID",-1);

        //Use selected gateway
        var oSelectGateway = eveManager.getSelectGateway();
        
        oComponent.addParamVal("gateway",oSelectGateway);

        // fixme: inizializzazione da rimuovere
        oComponent.addParamVal("defaultViewMode",0);
        oComponent.addParamVal("defaultViewMode2",0);
        oComponent.addParamVal("defaultViewMode3",0);
        oComponent.addParamVal("defaultViewMode4",0);
        oComponent.addParamVal("defaultViewMode5",0);

    }
}
catch(err){
    console.error(err);
}
