/** Initialize component when component is dragged to component list (onCreateComponent must be exist in each html component file) */
try{
    /** Define requred methods
     *
     */
    function onDefineComponent(oComponent){
        var oDescriptor = oComponent.getDescriptor();
        var defaultValue = 5;
        var defaultAction = 1000;
        
        /*
         * Param 1 -> Type; Param 2 -> Min; Param 3 -> Max; Param 4 -> Default
         */
        oDescriptor.setValueDescription(0,0,99999,defaultValue);
        
        oDescriptor.addDescription(0,_D("Milliseconds"));
        oDescriptor.addDescription(1000,_D("Seconds"));
        oDescriptor.addDescription(60000,_D("Minutes"));
        
        //Set default action
        oDescriptor.setDefaultAction(defaultAction);
    };
}
catch(err){
    console.error(err);
}
